Poshmark item comments
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-poshmark-items-comments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"item": "Listing id or URL, e.g. 6865651dd6c0dc3f3fdfc8ea",
"max_items": 2
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-poshmark-items-comments"
payload = {
"item": "Listing id or URL, e.g. 6865651dd6c0dc3f3fdfc8ea",
"max_items": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({item: 'Listing id or URL, e.g. 6865651dd6c0dc3f3fdfc8ea', max_items: 2})
};
fetch('https://api.neuralverge.ai/functions/v1/run-poshmark-items-comments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "poshmark_item_comments",
"item": "Listing id or URL, e.g. 6865651dd6c0dc3f3fdfc8ea",
"item_id": "6865651dd6c0dc3f3fdfc8ea",
"domain": "poshmark.com",
"max_items": 2,
"partial": false,
"human": "# Poshmark item comments\n\n- **Item:** Listing id or URL, e.g. 6865651dd6c0dc3f3fdfc8ea\n- **Domain:** poshmark.com\n- **Max items:** 2\n- **Records returned:** 2\n- **Proxy traffic:** 1.23 MB",
"machine": {
"total_items": 2,
"first_item": {
"@type": "PoshmarkComment",
"id": "69b9fc80cb08cf0511bd5826",
"text": "Can you please take a picture of the size dot, rip tag and the gusset area so I can make sure there’s no pilling please?",
"author": {
"@type": "PoshmarkUserPreview",
"id": "60e85bcfe1d9902bd6943c01",
"alias": "tiffany_shank",
"display_handle": "tiffany_shank",
"full_name": "Tiffany Shank",
"image": "https://di2ponv0v5otw.cloudfront.net/users/2025/05/05/18/t_68195f5e020f934dc2a43508.jpg"
},
"created_at": 1773796480
},
"items": [
{
"@type": "PoshmarkComment",
"id": "69b9fc80cb08cf0511bd5826",
"text": "Can you please take a picture of the size dot, rip tag and the gusset area so I can make sure there’s no pilling please?",
"author": {
"@type": "PoshmarkUserPreview",
"id": "60e85bcfe1d9902bd6943c01",
"alias": "tiffany_shank",
"display_handle": "tiffany_shank",
"full_name": "Tiffany Shank",
"image": "https://di2ponv0v5otw.cloudfront.net/users/2025/05/05/18/t_68195f5e020f934dc2a43508.jpg"
},
"created_at": 1773796480
},
{
"@type": "PoshmarkComment",
"id": "69ba147c7f1782865db5e873",
"text": "@tiffany_shank, It will be tomorrow before I can do that but I sure will.",
"author": {
"@type": "PoshmarkUserPreview",
"id": "5bd133dfde8c5281e758221b",
"alias": "trishabnanny",
"display_handle": "trishabnanny",
"full_name": "Trisha Barron",
"image": "https://di2ponv0v5otw.cloudfront.net/users/2019/03/10/5bd133dfde8c5281e758221b/t_5c858298008f3ce077faa585.jpeg"
},
"created_at": 1773802620
}
],
"not_found": false,
"proxy_traffic_bytes": 1285579
},
"total_points": 2
}E-commerce & Marketplaces
Poshmark item comments
Comments on a Poshmark listing (author, text, date), by listing id or URL. 1 point per returned record.
POST
/
functions
/
v1
/
run-poshmark-items-comments
Poshmark item comments
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Listing. e.g. Listing id or URL, e.g. 6865651dd6c0dc3f3fdfc8ea
Domain. Options: poshmark.com = poshmark.com, poshmark.ca = poshmark.ca
Available options:
poshmark.com, poshmark.ca Max comments (up to 500)
Required range:
1 <= x <= 500Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
True when the scrape stopped early and returned the records collected so far.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.